# Payment Transactions

The examples below cover requests and responses as follows:

* Balance Deposit Inform
* Balance Withdrawal Inform

<details>

<summary><strong>Balance Deposit Inform Request</strong></summary>

```json
{
  "operatorId": 19181301,
  "content": {
    "type": "deposit-inform",
    "depositId": "depositId123",
    "walletId": "walletId123",
    "status": "approved",
    "endCustomer": {
      "id": "id1234567890"
    },
    "gateway": {
      "provider": "provider123",
      "referenceId": "referenceId123",
      "method": "credit-card",
      "initiatedAtUtc": 1739960916000,
      "executedAtUtc": 1739960916000
    },
    "amount": {
      "value": "123.456",
      "currency": "USD"
    },
    "initiatedAtUtc": 1739960916000,
    "executedAtUtc": 1739960916000
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1740133715000,
  "operation": "balance-deposit-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Balance Deposit Inform Response</strong></summary>

```json
{
  "content": {
    "type": "deposit-inform-reply",
    "code": 123,
    "message": "replyMessage123",
    "signature": "signature"
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1740133716000,
  "operation": "balance-deposit-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Balance Withdrawal Inform Request</strong></summary>

```json
{
  "operatorId": 19181301,
  "content": {
    "type": "withdrawal-inform",
    "withdrawalId": "withdrawalId123",
    "walletId": "walletId123",
    "status": "approved",
    "endCustomer": {
      "id": "id1234567890"
    },
    "gateway": {
      "provider": "provider123",
      "referenceId": "referenceId123",
      "method": "credit-card",
      "initiatedAtUtc": 1739960916000,
      "executedAtUtc": 1739960916000
    },
    "amount": {
      "value": "123.456",
      "currency": "USD"
    },
    "initiatedAtUtc": 1739960916000,
    "executedAtUtc": 1739960916000
  },
  "correlationId": "zF789SXs",
  "timestampUtc": 1740134173000,
  "operation": "balance-withdrawal-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Balance Withdrawal Inform Response</strong></summary>

```json
{
  "content": {
    "type": "withdrawal-inform-reply",
    "code": 123,
    "message": "replyMessage123",
    "signature": "signature"
  },
  "correlationId": "zF789SXs",
  "timestampUtc": 1740134174000,
  "operation": "balance-withdrawal-inform",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/bettor-sense/integration-process/bettor-sense-related-transaction-examples/payment-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
